VSTGUI: FuncAnimation Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
FuncAnimation Class Reference
Animation » Animation Targets

animation via custom functions More...

`#include <animations.h>`

Inheritance diagram for FuncAnimation:

## Public Types
using | StartFunc = std::function<void (CView*, IdStringPtr)>
using | TickFunc = std::function<void (CView*, IdStringPtr, float)>
using | FinishedFunc = std::function<void (CView*, IdStringPtr, bool)>

## Public Member Functions
| FuncAnimation (StartFunc &&start, TickFunc &&tick, FinishedFunc &&finished)
void | animationStart (CView *view, IdStringPtr name) override
| animation starts
void | animationTick (CView *view, IdStringPtr name, float pos) override
| pos is a normalized value between zero and one
void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled) override
| animation ended
Public Member Functions inherited from IAnimationTarget
virtual | ~IAnimationTarget () noexcept=default
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

animation via custom functions

## Member Typedef Documentation

## ◆ FinishedFunc

using FinishedFunc = std::function<void (CView*, IdStringPtr, bool)>

## ◆ StartFunc

using StartFunc = std::function<void (CView*, IdStringPtr)>

## ◆ TickFunc

using TickFunc = std::function<void (CView*, IdStringPtr, float)>

## Constructor & Destructor Documentation

## ◆ FuncAnimation()

FuncAnimation | ( | StartFunc && | start,
|  | TickFunc && | tick,
|  | FinishedFunc && | finished )

## Member Function Documentation

## ◆ animationFinished()

void animationFinished | ( | CView * | view,
|  | IdStringPtr | name,
|  | bool | wasCanceled )
| overridevirtual

animation ended

Implements IAnimationTarget.

## ◆ animationStart()

void animationStart | ( | CView * | view,
|  | IdStringPtr | name )
| overridevirtual

animation starts

Implements IAnimationTarget.

## ◆ animationTick()

void animationTick | ( | CView * | view,
|  | IdStringPtr | name,
|  | float | pos )
| overridevirtual

pos is a normalized value between zero and one

Implements IAnimationTarget.

The documentation for this class was generated from the following files:

- animations.h
- animations.cpp